Lightroom: stuck on older MacOS, can't upgrade

  • 1
  • Question
  • Updated 5 years ago
  • (Edited)
Sorry Adobe, but I've Snow Leopard on my Mac and LR4 works fine. It's just not worth the hassle of "upgrading" to the unnecessary Mountain Lion (even for £13.99) to get the few new features available in LR5. If it was compatible with my OS 10.6.8 then I would, but change my OS to 10.7 for that, no thanks. Simon
Photo of Simon BARTRUM


  • 2 Posts
  • 0 Reply Likes
  • frustated by the sell.

Posted 5 years ago

  • 1

Be the first to post a reply!